pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b_gnat1.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b_gnat1.adb");
pragma Suppress (Overflow_Check);

package body ada_main is
   pragma Warnings (Off);

   E221 : Short_Integer; pragma Import (Ada, E221, "gnat__spelling_checker_E");
   E051 : Short_Integer; pragma Import (Ada, E051, "system__os_lib_E");
   E012 : Short_Integer; pragma Import (Ada, E012, "system__soft_links_E");
   E227 : Short_Integer; pragma Import (Ada, E227, "gnat__utf_32_spelling_checker_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "gnat__byte_order_mark_E");
   E022 : Short_Integer; pragma Import (Ada, E022, "system__exception_table_E");
   E390 : Short_Integer; pragma Import (Ada, E390, "system__assertions_E");
   E016 : Short_Integer; pragma Import (Ada, E016, "system__secondary_stack_E");
   E044 : Short_Integer; pragma Import (Ada, E044, "types_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "back_end_E");
   E106 : Short_Integer; pragma Import (Ada, E106, "casing_E");
   E382 : Short_Integer; pragma Import (Ada, E382, "comperr_E");
   E386 : Short_Integer; pragma Import (Ada, E386, "cstand_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "debug_a_E");
   E034 : Short_Integer; pragma Import (Ada, E034, "elists_E");
   E165 : Short_Integer; pragma Import (Ada, E165, "exp_aggr_E");
   E197 : Short_Integer; pragma Import (Ada, E197, "exp_attr_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "exp_cg_E");
   E159 : Short_Integer; pragma Import (Ada, E159, "exp_ch11_E");
   E356 : Short_Integer; pragma Import (Ada, E356, "exp_ch12_E");
   E358 : Short_Integer; pragma Import (Ada, E358, "exp_ch13_E");
   E199 : Short_Integer; pragma Import (Ada, E199, "exp_ch2_E");
   E360 : Short_Integer; pragma Import (Ada, E360, "exp_ch4_E");
   E366 : Short_Integer; pragma Import (Ada, E366, "exp_ch5_E");
   E163 : Short_Integer; pragma Import (Ada, E163, "exp_ch6_E");
   E368 : Short_Integer; pragma Import (Ada, E368, "exp_ch8_E");
   E203 : Short_Integer; pragma Import (Ada, E203, "exp_ch9_E");
   E332 : Short_Integer; pragma Import (Ada, E332, "exp_code_E");
   E362 : Short_Integer; pragma Import (Ada, E362, "exp_fixd_E");
   E354 : Short_Integer; pragma Import (Ada, E354, "exp_imgv_E");
   E370 : Short_Integer; pragma Import (Ada, E370, "exp_prag_E");
   E205 : Short_Integer; pragma Import (Ada, E205, "exp_sel_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "exp_smem_E");
   E372 : Short_Integer; pragma Import (Ada, E372, "exp_spark_E");
   E376 : Short_Integer; pragma Import (Ada, E376, "exp_unst_E");
   E193 : Short_Integer; pragma Import (Ada, E193, "expander_E");
   E273 : Short_Integer; pragma Import (Ada, E273, "freeze_E");
   E384 : Short_Integer; pragma Import (Ada, E384, "frontend_E");
   E285 : Short_Integer; pragma Import (Ada, E285, "ghost_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnat1drv_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "gnatvsn_E");
   E040 : Short_Integer; pragma Import (Ada, E040, "hostparm_E");
   E299 : Short_Integer; pragma Import (Ada, E299, "impunit_E");
   E277 : Short_Integer; pragma Import (Ada, E277, "layout_E");
   E388 : Short_Integer; pragma Import (Ada, E388, "live_E");
   E079 : Short_Integer; pragma Import (Ada, E079, "nlists_E");
   E060 : Short_Integer; pragma Import (Ada, E060, "opt_E");
   E108 : Short_Integer; pragma Import (Ada, E108, "csets_E");
   E039 : Short_Integer; pragma Import (Ada, E039, "output_E");
   E219 : Short_Integer; pragma Import (Ada, E219, "par_E");
   E229 : Short_Integer; pragma Import (Ada, E229, "par_sco_E");
   E346 : Short_Integer; pragma Import (Ada, E346, "put_spark_xrefs_E");
   E126 : Short_Integer; pragma Import (Ada, E126, "rident_E");
   E207 : Short_Integer; pragma Import (Ada, E207, "rtsfind_E");
   E275 : Short_Integer; pragma Import (Ada, E275, "exp_pakd_E");
   E325 : Short_Integer; pragma Import (Ada, E325, "scil_ll_E");
   E125 : Short_Integer; pragma Import (Ada, E125, "sdefault_E");
   E289 : Short_Integer; pragma Import (Ada, E289, "sem_aggr_E");
   E281 : Short_Integer; pragma Import (Ada, E281, "sem_case_E");
   E297 : Short_Integer; pragma Import (Ada, E297, "sem_ch10_E");
   E348 : Short_Integer; pragma Import (Ada, E348, "sem_ch11_E");
   E350 : Short_Integer; pragma Import (Ada, E350, "sem_ch2_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "sem_ch3_E");
   E313 : Short_Integer; pragma Import (Ada, E313, "sem_ch4_E");
   E338 : Short_Integer; pragma Import (Ada, E338, "sem_ch5_E");
   E305 : Short_Integer; pragma Import (Ada, E305, "sem_ch6_E");
   E309 : Short_Integer; pragma Import (Ada, E309, "sem_ch7_E");
   E311 : Short_Integer; pragma Import (Ada, E311, "sem_ch8_E");
   E315 : Short_Integer; pragma Import (Ada, E315, "sem_dim_E");
   E317 : Short_Integer; pragma Import (Ada, E317, "sem_disp_E");
   E334 : Short_Integer; pragma Import (Ada, E334, "sem_elab_E");
   E336 : Short_Integer; pragma Import (Ada, E336, "sem_elim_E");
   E342 : Short_Integer; pragma Import (Ada, E342, "sem_intr_E");
   E327 : Short_Integer; pragma Import (Ada, E327, "sem_mech_E");
   E283 : Short_Integer; pragma Import (Ada, E283, "sem_res_E");
   E340 : Short_Integer; pragma Import (Ada, E340, "sem_smem_E");
   E319 : Short_Integer; pragma Import (Ada, E319, "sem_type_E");
   E344 : Short_Integer; pragma Import (Ada, E344, "spark_xrefs_E");
   E378 : Short_Integer; pragma Import (Ada, E378, "sprint_E");
   E094 : Short_Integer; pragma Import (Ada, E094, "stand_E");
   E245 : Short_Integer; pragma Import (Ada, E245, "styleg_E");
   E239 : Short_Integer; pragma Import (Ada, E239, "scng_E");
   E136 : Short_Integer; pragma Import (Ada, E136, "stylesw_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "switch_E");
   E142 : Short_Integer; pragma Import (Ada, E142, "switch__c_E");
   E392 : Short_Integer; pragma Import (Ada, E392, "tree_gen_E");
   E394 : Short_Integer; pragma Import (Ada, E394, "tree_in_E");
   E064 : Short_Integer; pragma Import (Ada, E064, "tree_io_E");
   E114 : Short_Integer; pragma Import (Ada, E114, "erroutc_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "namet_E");
   E265 : Short_Integer; pragma Import (Ada, E265, "ali_E");
   E267 : Short_Integer; pragma Import (Ada, E267, "butil_E");
   E161 : Short_Integer; pragma Import (Ada, E161, "exp_ch7_E");
   E364 : Short_Integer; pragma Import (Ada, E364, "exp_intr_E");
   E185 : Short_Integer; pragma Import (Ada, E185, "exp_tss_E");
   E211 : Short_Integer; pragma Import (Ada, E211, "exp_strm_E");
   E123 : Short_Integer; pragma Import (Ada, E123, "fmap_E");
   E128 : Short_Integer; pragma Import (Ada, E128, "fname_E");
   E189 : Short_Integer; pragma Import (Ada, E189, "fname__uf_E");
   E130 : Short_Integer; pragma Import (Ada, E130, "lib_E");
   E217 : Short_Integer; pragma Import (Ada, E217, "lib__load_E");
   E263 : Short_Integer; pragma Import (Ada, E263, "lib__writ_E");
   E225 : Short_Integer; pragma Import (Ada, E225, "namet__sp_E");
   E121 : Short_Integer; pragma Import (Ada, E121, "osint_E");
   E138 : Short_Integer; pragma Import (Ada, E138, "osint__c_E");
   E253 : Short_Integer; pragma Import (Ada, E253, "prep_E");
   E261 : Short_Integer; pragma Import (Ada, E261, "prepcomp_E");
   E233 : Short_Integer; pragma Import (Ada, E233, "put_scos_E");
   E235 : Short_Integer; pragma Import (Ada, E235, "scos_E");
   E291 : Short_Integer; pragma Import (Ada, E291, "sem_cat_E");
   E352 : Short_Integer; pragma Import (Ada, E352, "sem_ch9_E");
   E330 : Short_Integer; pragma Import (Ada, E330, "sem_warn_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "sinput_E");
   E380 : Short_Integer; pragma Import (Ada, E380, "sinput__d_E");
   E251 : Short_Integer; pragma Import (Ada, E251, "sinput__l_E");
   E098 : Short_Integer; pragma Import (Ada, E098, "snames_E");
   E030 : Short_Integer; pragma Import (Ada, E030, "aspects_E");
   E209 : Short_Integer; pragma Import (Ada, E209, "exp_dist_E");
   E293 : Short_Integer; pragma Import (Ada, E293, "sem_attr_E");
   E321 : Short_Integer; pragma Import (Ada, E321, "sem_dist_E");
   E271 : Short_Integer; pragma Import (Ada, E271, "sem_prag_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "stringt_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "targparm_E");
   E323 : Short_Integer; pragma Import (Ada, E323, "treepr_E");
   E083 : Short_Integer; pragma Import (Ada, E083, "uintp_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "err_vars_E");
   E112 : Short_Integer; pragma Import (Ada, E112, "errout_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "exp_atag_E");
   E167 : Short_Integer; pragma Import (Ada, E167, "exp_ch3_E");
   E175 : Short_Integer; pragma Import (Ada, E175, "exp_dbug_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "exp_disp_E");
   E231 : Short_Integer; pragma Import (Ada, E231, "lib__util_E");
   E279 : Short_Integer; pragma Import (Ada, E279, "repinfo_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "restrict_E");
   E303 : Short_Integer; pragma Import (Ada, E303, "sem_ch13_E");
   E132 : Short_Integer; pragma Import (Ada, E132, "uname_E");
   E092 : Short_Integer; pragma Import (Ada, E092, "urealp_E");
   E153 : Short_Integer; pragma Import (Ada, E153, "checks_E");
   E032 : Short_Integer; pragma Import (Ada, E032, "einfo_E");
   E155 : Short_Integer; pragma Import (Ada, E155, "eval_fat_E");
   E145 : Short_Integer; pragma Import (Ada, E145, "get_targ_E");
   E269 : Short_Integer; pragma Import (Ada, E269, "lib__xref_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "nmake_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "scans_E");
   E215 : Short_Integer; pragma Import (Ada, E215, "sem_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "sem_eval_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "sem_util_E");
   E287 : Short_Integer; pragma Import (Ada, E287, "itypes_E");
   E081 : Short_Integer; pragma Import (Ada, E081, "sinfo_E");
   E028 : Short_Integer; pragma Import (Ada, E028, "atree_E");
   E181 : Short_Integer; pragma Import (Ada, E181, "exp_util_E");
   E134 : Short_Integer; pragma Import (Ada, E134, "sem_aux_E");
   E374 : Short_Integer; pragma Import (Ada, E374, "sem_scil_E");
   E249 : Short_Integer; pragma Import (Ada, E249, "sinfo__cn_E");
   E213 : Short_Integer; pragma Import (Ada, E213, "tbuild_E");
   E396 : Short_Integer; pragma Import (Ada, E396, "usage_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "validsw_E");
   E151 : Short_Integer; pragma Import (Ada, E151, "warnsw_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "inline_E");
   E307 : Short_Integer; pragma Import (Ada, E307, "sem_ch12_E");
   E073 : Short_Integer; pragma Import (Ada, E073, "widechar_E");
   E247 : Short_Integer; pragma Import (Ada, E247, "style_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "scn_E");
   E147 : Short_Integer; pragma Import (Ada, E147, "set_targ_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "ttypes_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure adafinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      null;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      Runtime_Initialize (1);

      if E221 = 0 then
         Gnat.Spelling_Checker'Elab_Body;
      end if;
      E221 := E221 + 1;
      if E012 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E227 = 0 then
         Gnat.Utf_32_Spelling_Checker'Elab_Body;
      end if;
      E227 := E227 + 1;
      E102 := E102 + 1;
      if E022 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E022 := E022 + 1;
      if E390 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E390 := E390 + 1;
      if E012 = 0 then
         System.Soft_Links'Elab_Body;
      end if;
      E012 := E012 + 1;
      if E051 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E051 := E051 + 1;
      if E016 = 0 then
         System.Secondary_Stack'Elab_Body;
      end if;
      E016 := E016 + 1;
      if E044 = 0 then
         Types'Elab_Spec;
      end if;
      E044 := E044 + 1;
      E062 := E062 + 1;
      if E040 = 0 then
         Hostparm'Elab_Spec;
      end if;
      E040 := E040 + 1;
      if E060 = 0 then
         Opt'Elab_Spec;
      end if;
      if E108 = 0 then
         Csets'Elab_Body;
      end if;
      E108 := E108 + 1;
      if E039 = 0 then
         Output'Elab_Spec;
      end if;
      E039 := E039 + 1;
      if E126 = 0 then
         Rident'Elab_Spec;
      end if;
      E126 := E126 + 1;
      if E207 = 0 then
         Rtsfind'Elab_Spec;
      end if;
      if E344 = 0 then
         spark_xrefs'elab_spec;
      end if;
      E344 := E344 + 1;
      E346 := E346 + 1;
      E136 := E136 + 1;
      if E064 = 0 then
         Tree_Io'Elab_Spec;
      end if;
      E064 := E064 + 1;
      E094 := E094 + 1;
      E060 := E060 + 1;
      if E034 = 0 then
         Elists'Elab_Body;
      end if;
      E034 := E034 + 1;
      if E114 = 0 then
         Erroutc'Elab_Spec;
      end if;
      if E070 = 0 then
         Namet'Elab_Spec;
      end if;
      if E265 = 0 then
         ALI'ELAB_SPEC;
      end if;
      E267 := E267 + 1;
      if E128 = 0 then
         Fname'Elab_Body;
      end if;
      E128 := E128 + 1;
      if E130 = 0 then
         Lib'Elab_Spec;
      end if;
      if E263 = 0 then
         Lib.Writ'Elab_Spec;
      end if;
      E225 := E225 + 1;
      if E121 = 0 then
         Osint'Elab_Spec;
      end if;
      if E123 = 0 then
         Fmap'Elab_Body;
      end if;
      E123 := E123 + 1;
      if E265 = 0 then
         ALI'ELAB_BODY;
      end if;
      E265 := E265 + 1;
      E140 := E140 + 1;
      E125 := E125 + 1;
      if E253 = 0 then
         Prep'Elab_Spec;
      end if;
      if E235 = 0 then
         Scos'Elab_Spec;
      end if;
      E235 := E235 + 1;
      E233 := E233 + 1;
      if E352 = 0 then
         Sem_Ch9'Elab_Spec;
      end if;
      if E330 = 0 then
         Sem_Warn'Elab_Spec;
      end if;
      if E100 = 0 then
         Sinput'Elab_Spec;
      end if;
      E380 := E380 + 1;
      if E098 = 0 then
         Snames'Elab_Body;
      end if;
      E098 := E098 + 1;
      if E030 = 0 then
         Aspects'Elab_Spec;
      end if;
      if E293 = 0 then
         Sem_Attr'Elab_Spec;
      end if;
      if E271 = 0 then
         Sem_Prag'Elab_Spec;
      end if;
      if E117 = 0 then
         Stringt'Elab_Body;
      end if;
      E117 := E117 + 1;
      if E119 = 0 then
         Targparm'Elab_Spec;
      end if;
      if E119 = 0 then
         Targparm'Elab_Body;
      end if;
      E119 := E119 + 1;
      if E121 = 0 then
         Osint'Elab_Body;
      end if;
      E121 := E121 + 1;
      if E083 = 0 then
         Uintp'Elab_Spec;
      end if;
      if E083 = 0 then
         Uintp'Elab_Body;
      end if;
      E083 := E083 + 1;
      if E115 = 0 then
         Err_Vars'Elab_Spec;
      end if;
      E115 := E115 + 1;
      if E112 = 0 then
         Errout'Elab_Spec;
      end if;
      E231 := E231 + 1;
      if E187 = 0 then
         Restrict'Elab_Spec;
      end if;
      if E303 = 0 then
         Sem_Ch13'Elab_Spec;
      end if;
      if E092 = 0 then
         Urealp'Elab_Body;
      end if;
      E092 := E092 + 1;
      if E153 = 0 then
         Checks'Elab_Spec;
      end if;
      E145 := E145 + 1;
      if E269 = 0 then
         Lib.Xref'Elab_Spec;
      end if;
      if E104 = 0 then
         Scans'Elab_Spec;
      end if;
      E104 := E104 + 1;
      if E253 = 0 then
         Prep'Elab_Body;
      end if;
      E253 := E253 + 1;
      if E215 = 0 then
         Sem'Elab_Spec;
      end if;
      E155 := E155 + 1;
      if E028 = 0 then
         Atree'Elab_Spec;
      end if;
      if E028 = 0 then
         Atree'Elab_Body;
      end if;
      E028 := E028 + 1;
      E081 := E081 + 1;
      E287 := E287 + 1;
      E177 := E177 + 1;
      if E032 = 0 then
         Einfo'Elab_Body;
      end if;
      E032 := E032 + 1;
      E132 := E132 + 1;
      if E187 = 0 then
         Restrict'Elab_Body;
      end if;
      E187 := E187 + 1;
      if E030 = 0 then
         Aspects'Elab_Body;
      end if;
      E030 := E030 + 1;
      E245 := E245 + 1;
      if E378 = 0 then
         Sprint'Elab_Body;
      end if;
      E378 := E378 + 1;
      E350 := E350 + 1;
      if E325 = 0 then
         SCIL_LL'ELAB_BODY;
      end if;
      E325 := E325 + 1;
      if E229 = 0 then
         Par_Sco'Elab_Body;
      end if;
      E229 := E229 + 1;
      if E079 = 0 then
         Nlists'Elab_Body;
      end if;
      E079 := E079 + 1;
      E299 := E299 + 1;
      if E193 = 0 then
         Expander'Elab_Body;
      end if;
      E193 := E193 + 1;
      E195 := E195 + 1;
      E382 := E382 + 1;
      E110 := E110 + 1;
      E372 := E372 + 1;
      if E134 = 0 then
         Sem_Aux'Elab_Spec;
      end if;
      E134 := E134 + 1;
      if E269 = 0 then
         Lib.Xref'Elab_Body;
      end if;
      E269 := E269 + 1;
      if E279 = 0 then
         Repinfo'Elab_Body;
      end if;
      E279 := E279 + 1;
      if E112 = 0 then
         Errout'Elab_Body;
      end if;
      E112 := E112 + 1;
      if E330 = 0 then
         Sem_Warn'Elab_Body;
      end if;
      E330 := E330 + 1;
      E291 := E291 + 1;
      E185 := E185 + 1;
      E394 := E394 + 1;
      E392 := E392 + 1;
      E340 := E340 + 1;
      E327 := E327 + 1;
      E342 := E342 + 1;
      if E336 = 0 then
         Sem_Elim'Elab_Body;
      end if;
      E336 := E336 + 1;
      E348 := E348 + 1;
      E388 := E388 + 1;
      if E285 = 0 then
         Ghost'Elab_Body;
      end if;
      E285 := E285 + 1;
      if E173 = 0 then
         exp_cg'elab_body;
      end if;
      E173 := E173 + 1;
      if E374 = 0 then
         Sem_Scil'Elab_Spec;
      end if;
      E374 := E374 + 1;
      E249 := E249 + 1;
      E213 := E213 + 1;
      if E179 = 0 then
         Sem_Eval'Elab_Body;
      end if;
      E179 := E179 + 1;
      E171 := E171 + 1;
      if E175 = 0 then
         Exp_Dbug'Elab_Body;
      end if;
      E175 := E175 + 1;
      E169 := E169 + 1;
      E321 := E321 + 1;
      if E334 = 0 then
         Sem_Elab'Elab_Body;
      end if;
      E334 := E334 + 1;
      E317 := E317 + 1;
      if E315 = 0 then
         Sem_Dim'Elab_Body;
      end if;
      E315 := E315 + 1;
      E338 := E338 + 1;
      E313 := E313 + 1;
      E281 := E281 + 1;
      E207 := E207 + 1;
      if E376 = 0 then
         Exp_Unst'Elab_Body;
      end if;
      E376 := E376 + 1;
      E201 := E201 + 1;
      E205 := E205 + 1;
      E362 := E362 + 1;
      E332 := E332 + 1;
      E203 := E203 + 1;
      E368 := E368 + 1;
      E199 := E199 + 1;
      E356 := E356 + 1;
      E159 := E159 + 1;
      E323 := E323 + 1;
      E396 := E396 + 1;
      E149 := E149 + 1;
      E358 := E358 + 1;
      E151 := E151 + 1;
      if E183 = 0 then
         Inline'Elab_Spec;
      end if;
      E364 := E364 + 1;
      E370 := E370 + 1;
      E163 := E163 + 1;
      E366 := E366 + 1;
      if E307 = 0 then
         Sem_Ch12'Elab_Body;
      end if;
      E307 := E307 + 1;
      if E183 = 0 then
         Inline'Elab_Body;
      end if;
      E183 := E183 + 1;
      E215 := E215 + 1;
      if E319 = 0 then
         Sem_Type'Elab_Body;
      end if;
      E319 := E319 + 1;
      E073 := E073 + 1;
      E100 := E100 + 1;
      E130 := E130 + 1;
      if E189 = 0 then
         Fname.Uf'Elab_Body;
      end if;
      E189 := E189 + 1;
      if E070 = 0 then
         Namet'Elab_Body;
      end if;
      E070 := E070 + 1;
      if E138 = 0 then
         Osint.C'Elab_Body;
      end if;
      E138 := E138 + 1;
      E114 := E114 + 1;
      E239 := E239 + 1;
      E106 := E106 + 1;
      if E247 = 0 then
         Style'Elab_Spec;
      end if;
      E247 := E247 + 1;
      E352 := E352 + 1;
      E283 := E283 + 1;
      if E311 = 0 then
         Sem_Ch8'Elab_Body;
      end if;
      E311 := E311 + 1;
      E309 := E309 + 1;
      E305 := E305 + 1;
      E297 := E297 + 1;
      E289 := E289 + 1;
      if E237 = 0 then
         Scn'Elab_Spec;
      end if;
      E237 := E237 + 1;
      E251 := E251 + 1;
      if E261 = 0 then
         Prepcomp'Elab_Body;
      end if;
      E261 := E261 + 1;
      E263 := E263 + 1;
      E217 := E217 + 1;
      E219 := E219 + 1;
      E384 := E384 + 1;
      if E147 = 0 then
         Set_Targ'Elab_Spec;
      end if;
      if E147 = 0 then
         Set_Targ'Elab_Body;
      end if;
      E147 := E147 + 1;
      if E143 = 0 then
         Ttypes'Elab_Spec;
      end if;
      E143 := E143 + 1;
      E181 := E181 + 1;
      if E157 = 0 then
         Sem_Util'Elab_Body;
      end if;
      E157 := E157 + 1;
      E153 := E153 + 1;
      if E303 = 0 then
         Sem_Ch13'Elab_Body;
      end if;
      E303 := E303 + 1;
      E167 := E167 + 1;
      if E271 = 0 then
         Sem_Prag'Elab_Body;
      end if;
      E271 := E271 + 1;
      if E293 = 0 then
         Sem_Attr'Elab_Body;
      end if;
      E293 := E293 + 1;
      if E209 = 0 then
         Exp_Dist'Elab_Body;
      end if;
      E209 := E209 + 1;
      E211 := E211 + 1;
      E161 := E161 + 1;
      E142 := E142 + 1;
      E301 := E301 + 1;
      E275 := E275 + 1;
      if E277 = 0 then
         Layout'Elab_Body;
      end if;
      E277 := E277 + 1;
      E002 := E002 + 1;
      E273 := E273 + 1;
      E354 := E354 + 1;
      E360 := E360 + 1;
      E197 := E197 + 1;
      E165 := E165 + 1;
      E386 := E386 + 1;
   end adainit;

--  BEGIN Object file/option list
   --   ada/ada.o
   --   ada/a-charac.o
   --   ada/a-chlat1.o
   --   ada/gnat.o
   --   ada/g-spchge.o
   --   ada/g-speche.o
   --   ada/interfac.o
   --   ada/system.o
   --   ada/s-addope.o
   --   ada/s-casuti.o
   --   ada/g-htable.o
   --   ada/s-imenne.o
   --   ada/s-parame.o
   --   ada/s-crtl.o
   --   ada/s-excdeb.o
   --   ada/s-stoele.o
   --   ada/s-stache.o
   --   ada/s-strhas.o
   --   ada/s-htable.o
   --   ada/s-string.o
   --   ada/s-traent.o
   --   ada/s-unstyp.o
   --   ada/s-utf_32.o
   --   ada/s-valuti.o
   --   ada/s-valuns.o
   --   ada/s-valint.o
   --   ada/s-wchcon.o
   --   ada/g-u3spch.o
   --   ada/s-wchjis.o
   --   ada/s-wchcnv.o
   --   ada/a-elchha.o
   --   ada/g-byorma.o
   --   ada/s-carun8.o
   --   ada/s-conca2.o
   --   ada/s-crc32.o
   --   ada/s-exctab.o
   --   ada/s-assert.o
   --   ada/s-memory.o
   --   ada/s-stalib.o
   --   ada/s-soflin.o
   --   ada/a-except.o
   --   ada/s-os_lib.o
   --   ada/s-secsta.o
   --   ada/debug.o
   --   ada/types.o
   --   ada/alloc.o
   --   ada/gnatvsn.o
   --   ada/hostparm.o
   --   ada/krunch.o
   --   ada/csets.o
   --   ada/output.o
   --   ada/rident.o
   --   ada/spark_xrefs.o
   --   ada/put_spark_xrefs.o
   --   ada/stylesw.o
   --   ada/tree_io.o
   --   ada/stand.o
   --   ada/opt.o
   --   ada/table.o
   --   ada/elists.o
   --   ada/butil.o
   --   ada/fname.o
   --   ada/namet-sp.o
   --   ada/fmap.o
   --   ada/ali.o
   --   ada/switch.o
   --   ada/sdefault.o
   --   ada/scos.o
   --   ada/put_scos.o
   --   ada/sinput-d.o
   --   ada/snames.o
   --   ada/stringt.o
   --   ada/targparm.o
   --   ada/osint.o
   --   ada/uintp.o
   --   ada/err_vars.o
   --   ada/lib-util.o
   --   ada/urealp.o
   --   ada/get_targ.o
   --   ada/scans.o
   --   ada/prep.o
   --   ada/eval_fat.o
   --   ada/atree.o
   --   ada/sinfo.o
   --   ada/itypes.o
   --   ada/nmake.o
   --   ada/einfo.o
   --   ada/uname.o
   --   ada/restrict.o
   --   ada/aspects.o
   --   ada/styleg.o
   --   ada/sprint.o
   --   ada/sem_ch2.o
   --   ada/scil_ll.o
   --   ada/par_sco.o
   --   ada/nlists.o
   --   ada/impunit.o
   --   ada/expander.o
   --   ada/debug_a.o
   --   ada/comperr.o
   --   ada/back_end.o
   --   ada/exp_spark.o
   --   ada/sem_aux.o
   --   ada/lib-xref.o
   --   ada/repinfo.o
   --   ada/errout.o
   --   ada/sem_warn.o
   --   ada/sem_cat.o
   --   ada/exp_tss.o
   --   ada/tree_in.o
   --   ada/tree_gen.o
   --   ada/sem_smem.o
   --   ada/sem_mech.o
   --   ada/sem_intr.o
   --   ada/sem_elim.o
   --   ada/sem_ch11.o
   --   ada/live.o
   --   ada/ghost.o
   --   ada/exp_cg.o
   --   ada/sem_scil.o
   --   ada/sinfo-cn.o
   --   ada/tbuild.o
   --   ada/sem_eval.o
   --   ada/exp_disp.o
   --   ada/exp_dbug.o
   --   ada/exp_atag.o
   --   ada/sem_dist.o
   --   ada/sem_elab.o
   --   ada/sem_disp.o
   --   ada/sem_dim.o
   --   ada/sem_ch5.o
   --   ada/sem_ch4.o
   --   ada/sem_case.o
   --   ada/rtsfind.o
   --   ada/exp_unst.o
   --   ada/exp_smem.o
   --   ada/exp_sel.o
   --   ada/exp_fixd.o
   --   ada/exp_code.o
   --   ada/exp_ch9.o
   --   ada/exp_ch8.o
   --   ada/exp_ch2.o
   --   ada/exp_ch12.o
   --   ada/exp_ch11.o
   --   ada/treeprs.o
   --   ada/treepr.o
   --   ada/usage.o
   --   ada/validsw.o
   --   ada/exp_ch13.o
   --   ada/warnsw.o
   --   ada/exp_intr.o
   --   ada/exp_prag.o
   --   ada/exp_ch6.o
   --   ada/exp_ch5.o
   --   ada/sem_ch12.o
   --   ada/inline.o
   --   ada/sem.o
   --   ada/sem_type.o
   --   ada/widechar.o
   --   ada/sinput.o
   --   ada/lib.o
   --   ada/fname-uf.o
   --   ada/namet.o
   --   ada/osint-c.o
   --   ada/erroutc.o
   --   ada/scng.o
   --   ada/casing.o
   --   ada/style.o
   --   ada/sem_ch9.o
   --   ada/sem_res.o
   --   ada/sem_ch8.o
   --   ada/sem_ch7.o
   --   ada/sem_ch6.o
   --   ada/sem_ch10.o
   --   ada/sem_aggr.o
   --   ada/scn.o
   --   ada/sinput-l.o
   --   ada/prepcomp.o
   --   ada/lib-writ.o
   --   ada/lib-load.o
   --   ada/par.o
   --   ada/frontend.o
   --   ada/set_targ.o
   --   ada/ttypes.o
   --   ada/exp_util.o
   --   ada/sem_util.o
   --   ada/checks.o
   --   ada/sem_ch13.o
   --   ada/exp_ch3.o
   --   ada/sem_prag.o
   --   ada/sem_attr.o
   --   ada/exp_dist.o
   --   ada/exp_strm.o
   --   ada/exp_ch7.o
   --   ada/switch-c.o
   --   ada/sem_ch3.o
   --   ada/exp_pakd.o
   --   ada/layout.o
   --   ada/gnat1drv.o
   --   ada/freeze.o
   --   ada/exp_imgv.o
   --   ada/exp_ch4.o
   --   ada/exp_attr.o
   --   ada/exp_aggr.o
   --   ada/cstand.o
   --   -L./
   --   -Lada/generated/
   --   -Lada/
   --   -L/usr/src/ports/djgpp-gcc/djgpp-gcc-5.3.0-1.i686/src/gcc-5.3.0/gcc/ada/
   --   -L/usr/src/ports/djgpp-gcc/djgpp-gcc-5.3.0-1.i686/src/gcc-5.3.0/gcc/ada/gcc-interface/
   --   -L/usr/lib/gcc/i686-pc-cygwin/5.3.0/adalib/
   --   -static
   --   -lgnat
--  END Object file/option list   

end ada_main;
